GNUE-SCHEMA(1)

NAME
gnue-schema - gnue-schema

SYNOPSIS
gnue-schema [ options ] file [, file, ...]

DESCRIPTION
Import GNUe Schema Definition files into a given connection

OPTIONS

GENERAL OPTIONS

--connection <connectionname>, -c
    Use the connection <connectionname> for creating the schema

--connections <location>
    Specifies the location of the connection definition file. <location> may specify a file name (/usr/local/gnue/etc/connections.conf),or a URL location (http://localhost/connections.conf).If this option is not specified, the environent variable GNUE_CONNECTIONS is checked. If neither of them is set, "/home/reinhard/gnue/etc/connections. conf" is used as a default.

--createdb, -d
    If this option is set, the database will be created before any schema creation is done. There must be an owner or a username either from the given connection-configuration or from the command line. This user becomes the owner of the database and will be implicitly created.

--debug-file <filename>
    Sends all debugging messages to a specified file (e.g., "--debug-file trace.log" sends all output to "trace.log")

--debug-level <level>
    Enables debugging messages. Argument specifies the level of messages to display (e.g., "--debug-level 5" displays all debugging messages at level 5 or below.)

--file-only, -f
    If this flag is set, only code is sent to the output file and the schema is not created automatically.

--help
    Displays this help screen.

--help-config
    Displays a list of valid configuration file entries, their purpose, and their default values.

--help-connections
    Display help information related to database connections, including a list of available drivers.

--help-dev
    Display all options of interest to core developers.

--mode <both|schema|data>, -m
    Mode of operation. If mode is 'schema', only schema creation is done.
     If mode is 'data' only data integration is done.

--output <filename>, -o
    Also send the code for creating the schema to this file.

--owner <owner>, -O
    If the database is to be created this will be its owner.

--ownerpassword <ownerpwd>, -P
    If the database is to be created this will be the password used for the database owner.

--password <password>, -p
    Set the password to connect to the database.

--silent
    Displays no output at all.

--username <user>, -u
    Set the username to connect to the database. If the database is to be created and no owner (--owner) is specified, this username will be it's owner.

--version
    Displays the version information for this program.

--yes, -y
    If this option is set, the program runs in batch-mode, which means all questions are answered with 'yes' automatically.

DEVELOPER OPTIONS

--debug-gc <logfile>, -g
    Debug Python's garbage collection on a SIGUSR1. If the argument is empty 'garbage.log' will be used as logfile.

--debug-imports
    All python imports are logged to stdout

--interactive-debugger
    Run the app inside Python's built-in debugger

--profile
    Run Python's built-in profiler and display the resulting run statistics.

--selfdoc <type[,subtype]>
    Generates self-documentation.

--selfdoc-file <filename>
    Specifies the filename that selfdoc should write to. If not provided,
     output is sent to stdout.

--selfdoc-format <format>
    Format to output the self-documentation in. Supported formats are dependent on the type of selfdoc being created.

--selfdoc-options <options>
    Options specific to individual selfdoc types.

AUTHOR
GNU Enterprise Project <info@gnue.org>

BUGS
Please report any bugs to info@gnue.org. Include a complete, self-contained example that will allow the bug to be reproduced, and say which version of this tool you are using.

COPYRIGHT
Copyright © 2000-2007 Free Software Foundation, Inc.

gnue-schema is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

gnue-schema is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with gnue-schema; see the file COPYING. If not, write to the Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.